/*#ifdef MODE_WIN
int xSouris, ySouris;
void PositionSouris(int *x, int *y)		{
	*x=xSouris;
	*y=ySouris;
}
#else*/
void PositionSouris(int *x, int *y)		{
	POINT point;
	RECT rect;
	GetCursorPos(&point);
	ScreenToClient(hConsole,&point);
	GetClientRect(hConsole,&rect);
	if (point.x>=0 && point.x<=rect.right && point.y>=0 && point.y<=rect.bottom)		{
		if (SCALING)		{
			*x=(int)((double)point.x/((double)rect.right/(double)LARG));
			*y=(int)((double)point.y/((double)rect.bottom/(double)HAUT));
		}
		else	{
			*x=point.x;
			*y=point.y;
		}
	}
}

void PositionSourisRelatives(int *x, int *y)		{
	POINT point;
	GetCursorPos(&point);
	ScreenToClient(hConsole,&point);
	if (SCALING)		{
		RECT rect;
		GetClientRect(hConsole,&rect);
		*x=(int)((double)point.x/((double)rect.right/(double)LARG));
		*y=(int)((double)point.y/((double)rect.bottom/(double)HAUT));
	}
	else	{
		*x=point.x;
		*y=point.y;
	}
}

void PositionSourisAbsolues(int *x, int *y)		{
	POINT point;
	GetCursorPos(&point);
	*x=point.x;
	*y=point.y;
}

//#endif

int RouletteSourisDUnCoup()		{
	int i=rouletteSouris;
	rouletteSouris=0;
	return i/120;
}

int RouletteSouris()		{
	if (rouletteSouris<=-120)		{
		rouletteSouris+=120;
		return -1;
	}
	else if (rouletteSouris>=120)	{
		rouletteSouris-=120;
		return 1;
	}
	else	{
		rouletteSouris=0;
		return 0;
	}
}

#define VideRouletteSouris()		(rouletteSouris=0)

